import { ActionButton, MenuDropdownItem } from '../models/common.model';
import { HeaderBreadcrumb, HeaderNavRoute, HeaderTag } from './header.model';
import * as i0 from "@angular/core";
export declare class HeaderComponent {
    title: string;
    subTitle?: string;
    tags?: HeaderTag[];
    primaryButton?: ActionButton;
    secondaryButtons?: ActionButton[];
    ellipsisDropdownItems?: MenuDropdownItem[];
    breadcrumbItems?: HeaderBreadcrumb[];
    navRoutes?: HeaderNavRoute[];
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderComponent, "x-header", never, { "title": { "alias": "title"; "required": false; }; "subTitle": { "alias": "subTitle"; "required": false; }; "tags": { "alias": "tags"; "required": false; }; "primaryButton": { "alias": "primaryButton"; "required": false; }; "secondaryButtons": { "alias": "secondaryButtons"; "required": false; }; "ellipsisDropdownItems": { "alias": "ellipsisDropdownItems"; "required": false; }; "breadcrumbItems": { "alias": "breadcrumbItems"; "required": false; }; "navRoutes": { "alias": "navRoutes"; "required": false; }; }, {}, never, ["*"], false, never>;
}
